Subject: Re: bug#40234: [java-iroha] Gradle fails with "Could not find tools.jar"

From: Roel Janssen <[email-masked]>
Date: Thu, 26 Mar 2020 12:52:32 +0100

On Thu, 2020-03-26 at 12:41 +0100, Pierre Neidhardt wrote:
> Roel Janssen <[email-masked]> writes:
> 
> > The "tools.jar" is only in de icedtea:jdk output.
> > You might also need to set environment variable JAVA_HOME to the Guix
> > profile
> > root that contains icedtea:jdk.
> 
> Thanks, this is probably related!
> 
> However
> 
> --8<---------------cut here---------------start------------->8---
> env JAVA_HOME=/home/ambrevar/.guix-extra-profiles/dev/dev ./gradlew jar
> --8<---------------cut here---------------end--------------->8---
> 
> fails with the same error.
> 

Uh, I looked through one of my Java-related packages and found this snippet:

----------
;; Set JAVA_HOME to help maven find the JDK.
(setenv "JAVA_HOME" (string-append (assoc-ref inputs "icedtea")
                                   "/jre"))
----------

So perhaps JAVA_HOME needs to point to <profile-root>/jre.  (Sorry for the
previous suggestion..)

I'm not sure why I added this snippet though, but perhaps it's worth a try.

Kind regards,
Roel Janssen